<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">

<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">
	<!-- the main logfile appender -->

	<appender name="logfile"  class="org.apache.log4j.RollingFileAppender">
		<param name="File" value="/opt/vFabric/truist-ivr-drh/logs/trace.log" />
		<param name="Append" value="true"/>
		<!-- param name="DatePattern" value="'.'yyyy-MM-dd" /-->
		<param name="MaxBackupIndex" value="50" />
		<param name="MaxFileSize" value="10MB" />
		<param name="Encoding" value="UTF-8" />
		<layout class="com.truist.truistivr.customlogmask.LogMaskingLayout">
			<param name="ConversionPattern" value="%d %c{1} [%p] - %m%n" />
		</layout>
	</appender>
	
	<appender name="vistalogfile"  class="org.apache.log4j.DailyRollingFileAppender">
		<param name="File" value="/opt/vFabric/truist-ivr-drh/logs/vista.log" />
		<param name="DatePattern" value="'.'yyyy-MM-dd" />
		<!-- param name="MaxBackupIndex" value="10" /-->
		<!-- param name="MaxFileSize" value="5MB" /-->
		<layout class="com.truist.truistivr.customlogmask.LogMaskingLayout">
        	<param name="ConversionPattern" value="%d %c{1} [%p] - %m%n" />
        	</layout>
	</appender>
	
	<appender name="reportlogfile" class="org.apache.log4j.DailyRollingFileAppender">
		<param name="File" value="/opt/vFabric/truist-ivr-drh/logs/report.log" />
		<param name="DatePattern" value="'.'yyyy-MM-dd" />
		<layout class="com.truist.truistivr.customlogmask.LogMaskingLayout">
        	<param name="ConversionPattern" value="%d %c{1} [%p] - %m%n" />
        	</layout>	
	</appender>
	
	<appender name="activitylogfile" class="org.apache.log4j.DailyRollingFileAppender">
		<param name="File" value="/opt/vFabric/truist-ivr-drh/logs/activity.log" />
		<param name="DatePattern" value="'.'yyyy-MM-dd" />
		<layout class="com.truist.truistivr.customlogmask.LogMaskingLayout">
        	<param name="ConversionPattern" value="%d %c{1} [%p] - %m%n" />
        	</layout>	
	</appender>
	
       <appender name="STDOUT" class="org.apache.log4j.ConsoleAppender">
		<param name="Target" value="System.out" />
		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern" value="%d %-5p [%t] %C{2} (%F:%L) - %m%n" />
		</layout>
	</appender>

	<logger name="VistaLogger">
		<level value="DEBUG" />
		<appender-ref ref="logfile" />
		<appender-ref ref="vistalogfile" />
	</logger>
	
	<logger name="ActivityLogger">
		<level value="DEBUG" />
		<appender-ref ref="logfile" />
		<appender-ref ref="activitylogfile" />
	</logger>
	<logger name="ReportLogger">
		<level value="DEBUG" />
		<appender-ref ref="logfile" />
		<appender-ref ref="reportlogfile" />
	</logger>
	
	<logger name="Backend">
		<level value="DEBUG" />
		<appender-ref ref="logfile" />
	</logger>
	<logger name="PopulateInputs">
		<level value="DEBUG" />
		<appender-ref ref="logfile" />
	</logger>

	<logger name="com.truist.*">
		<level value="DEBUG" />
		<appender-ref ref="logfile" />
	</logger>
	<logger name="com.nuance.*">
		<level value="DEBUG" />
		<appender-ref ref="logfile" />
	</logger>
	<logger name="NDMManager">
		<level value="DEBUG" />
		<appender-ref ref="logfile" />
	</logger>
	
</log4j:configuration>
